more autoconf fun
[gregoa/bti.git] / Makefile
1 # Makefile.in generated by automake 1.10.2 from Makefile.am.
2 # Makefile.  Generated from Makefile.in by configure.
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15
16
17
18 pkgdatadir = $(datadir)/bti
19 pkglibdir = $(libdir)/bti
20 pkgincludedir = $(includedir)/bti
21 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
22 install_sh_DATA = $(install_sh) -c -m 644
23 install_sh_PROGRAM = $(install_sh) -c
24 install_sh_SCRIPT = $(install_sh) -c
25 INSTALL_HEADER = $(INSTALL_DATA)
26 transform = $(program_transform_name)
27 NORMAL_INSTALL = :
28 PRE_INSTALL = :
29 POST_INSTALL = :
30 NORMAL_UNINSTALL = :
31 PRE_UNINSTALL = :
32 POST_UNINSTALL = :
33 bin_PROGRAMS = bti$(EXEEXT)
34 subdir = .
35 DIST_COMMON = README $(am__configure_deps) $(dist_man_MANS) \
36         $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
37         $(top_srcdir)/configure COPYING ChangeLog INSTALL depcomp \
38         install-sh missing
39 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
40 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
41 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
42         $(ACLOCAL_M4)
43 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
44  configure.lineno config.status.lineno
45 mkinstalldirs = $(install_sh) -d
46 CONFIG_CLEAN_FILES =
47 am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"
48 binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
49 PROGRAMS = $(bin_PROGRAMS)
50 am_bti_OBJECTS = bti.$(OBJEXT)
51 bti_OBJECTS = $(am_bti_OBJECTS)
52 bti_LDADD = $(LDADD)
53 DEFAULT_INCLUDES = -I.
54 depcomp = $(SHELL) $(top_srcdir)/depcomp
55 am__depfiles_maybe = depfiles
56 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
57         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
58 CCLD = $(CC)
59 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
60 SOURCES = $(bti_SOURCES)
61 DIST_SOURCES = $(bti_SOURCES)
62 man1dir = $(mandir)/man1
63 NROFF = nroff
64 MANS = $(dist_man_MANS)
65 ETAGS = etags
66 CTAGS = ctags
67 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
68 distdir = $(PACKAGE)-$(VERSION)
69 top_distdir = $(distdir)
70 am__remove_distdir = \
71   { test ! -d $(distdir) \
72     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
73          && rm -fr $(distdir); }; }
74 DIST_ARCHIVES = $(distdir).tar.gz
75 GZIP_ENV = --best
76 distuninstallcheck_listfiles = find . -type f -print
77 distcleancheck_listfiles = find . -type f -print
78 ACLOCAL = ${SHELL} /home/gregkh/src/bti/missing --run aclocal-1.10
79 AMTAR = ${SHELL} /home/gregkh/src/bti/missing --run tar
80 AUTOCONF = ${SHELL} /home/gregkh/src/bti/missing --run autoconf
81 AUTOHEADER = ${SHELL} /home/gregkh/src/bti/missing --run autoheader
82 AUTOMAKE = ${SHELL} /home/gregkh/src/bti/missing --run automake-1.10
83 AWK = gawk
84 CC = gcc
85 CCDEPMODE = depmode=gcc3
86 CFLAGS = -g -Wall -Wmissing-declarations -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wpointer-arith -Wsign-compare -Wchar-subscripts -Wstrict-prototypes -Wshadow -Wformat=2 -Wtype-limits -O2
87 CPPFLAGS =   -I/usr/include/libxml2
88 CYGPATH_W = echo
89 DEFS = -DPACKAGE_NAME=\"bti\" -DPACKAGE_TARNAME=\"bti\" -DPACKAGE_VERSION=\"018\" -DPACKAGE_STRING=\"bti\ 018\" -DPACKAGE_BUGREPORT=\"greg@kroah.com\" -DPACKAGE=\"bti\" -DVERSION=\"018\" -DHAVE_LIBNSL=1 -DHAVE_LIBREADLINE=1 -DHAVE_LIBPCRE=1 -DHAVE_LIBCURL=1 -DLIBCURL_FEATURE_SSL=1 -DLIBCURL_FEATURE_IPV6=1 -DLIBCURL_FEATURE_LIBZ=1 -DLIBCURL_FEATURE_NTLM=1 -DLIBCURL_PROTOCOL_HTTP=1 -DLIBCURL_PROTOCOL_HTTPS=1 -DLIBCURL_PROTOCOL_FTP=1 -DLIBCURL_PROTOCOL_FTPS=1 -DLIBCURL_PROTOCOL_FILE=1 -DLIBCURL_PROTOCOL_TELNET=1 -DLIBCURL_PROTOCOL_DICT=1 -DLIBCURL_PROTOCOL_TFTP=1
90 DEPDIR = .deps
91 ECHO_C = 
92 ECHO_N = -n
93 ECHO_T = 
94 EXEEXT = 
95 INSTALL = /usr/bin/install -c
96 INSTALL_DATA = ${INSTALL} -m 644
97 INSTALL_PROGRAM = ${INSTALL}
98 INSTALL_SCRIPT = ${INSTALL}
99 INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
100 LDFLAGS = 
101 LIBCURL = -lcurl -lrt -lz -L/usr/lib -lgnutls -L/usr/lib -ltasn1 -lgcrypt -lgpg-error
102 LIBCURL_CPPFLAGS = 
103 LIBOBJS = 
104 LIBS = -lpcre -lreadline -lnsl  -lcurl -lrt -lz -L/usr/lib -lgnutls -L/usr/lib -ltasn1 -lgcrypt -lgpg-error -lxml2 -lz -lm
105 LTLIBOBJS = 
106 MAKEINFO = ${SHELL} /home/gregkh/src/bti/missing --run makeinfo
107 MKDIR_P = /bin/mkdir -p
108 OBJEXT = o
109 PACKAGE = bti
110 PACKAGE_BUGREPORT = greg@kroah.com
111 PACKAGE_NAME = bti
112 PACKAGE_STRING = bti 018
113 PACKAGE_TARNAME = bti
114 PACKAGE_VERSION = 018
115 PATH_SEPARATOR = :
116 SET_MAKE = 
117 SHELL = /bin/sh
118 STRIP = 
119 VERSION = 018
120 XML2_CONFIG = /usr/bin/xml2-config
121 XML_CPPFLAGS = -I/usr/include/libxml2
122 XML_LIBS = -lxml2 -lz -lm
123 XSLTPROC = /usr/bin/xsltproc
124 _libcurl_config = 
125 abs_builddir = /home/gregkh/src/bti
126 abs_srcdir = /home/gregkh/src/bti
127 abs_top_builddir = /home/gregkh/src/bti
128 abs_top_srcdir = /home/gregkh/src/bti
129 ac_ct_CC = gcc
130 am__include = include
131 am__leading_dot = .
132 am__quote = 
133 am__tar = ${AMTAR} chof - "$$tardir"
134 am__untar = ${AMTAR} xf -
135 bindir = ${exec_prefix}/bin
136 build_alias = 
137 builddir = .
138 datadir = ${datarootdir}
139 datarootdir = ${prefix}/share
140 docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
141 dvidir = ${docdir}
142 exec_prefix = ${prefix}
143 host_alias = 
144 htmldir = ${docdir}
145 includedir = ${prefix}/include
146 infodir = ${datarootdir}/info
147 install_sh = $(SHELL) /home/gregkh/src/bti/install-sh
148 libdir = ${exec_prefix}/lib
149 libexecdir = ${exec_prefix}/libexec
150 localedir = ${datarootdir}/locale
151 localstatedir = ${prefix}/var
152 mandir = ${datarootdir}/man
153 mkdir_p = /bin/mkdir -p
154 oldincludedir = /usr/include
155 pdfdir = ${docdir}
156 prefix = /usr/local
157 program_transform_name = s,x,x,
158 psdir = ${docdir}
159 sbindir = ${exec_prefix}/sbin
160 sharedstatedir = ${prefix}/com
161 srcdir = .
162 sysconfdir = ${prefix}/etc
163 target_alias = 
164 top_build_prefix = 
165 top_builddir = .
166 top_srcdir = .
167 bti_SOURCES = \
168         bti.c
169
170 dist_man_MANS = \
171         bti.1 \
172         bti-shrink-urls.1
173
174 EXTRA_DIST = \
175         bti.xml \
176         bti-shrink-urls.xml
177
178 MAINTAINERCLEANFILES = \
179         $(dist_man_MANS)
180
181 PREVIOUS_VERSION = 0`expr $(VERSION) - 1`
182 AUTOMAKE_OPTIONS = foreign
183 all: all-am
184
185 .SUFFIXES:
186 .SUFFIXES: .c .o .obj
187 am--refresh:
188         @:
189 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
190         @for dep in $?; do \
191           case '$(am__configure_deps)' in \
192             *$$dep*) \
193               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
194               cd $(srcdir) && $(AUTOMAKE) --foreign  \
195                 && exit 0; \
196               exit 1;; \
197           esac; \
198         done; \
199         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
200         cd $(top_srcdir) && \
201           $(AUTOMAKE) --foreign  Makefile
202 .PRECIOUS: Makefile
203 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
204         @case '$?' in \
205           *config.status*) \
206             echo ' $(SHELL) ./config.status'; \
207             $(SHELL) ./config.status;; \
208           *) \
209             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
210             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
211         esac;
212
213 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
214         $(SHELL) ./config.status --recheck
215
216 $(top_srcdir)/configure:  $(am__configure_deps)
217         cd $(srcdir) && $(AUTOCONF)
218 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
219         cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
220 install-binPROGRAMS: $(bin_PROGRAMS)
221         @$(NORMAL_INSTALL)
222         test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
223         @list='$(bin_PROGRAMS)'; for p in $$list; do \
224           p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
225           if test -f $$p \
226           ; then \
227             f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
228            echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
229            $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
230           else :; fi; \
231         done
232
233 uninstall-binPROGRAMS:
234         @$(NORMAL_UNINSTALL)
235         @list='$(bin_PROGRAMS)'; for p in $$list; do \
236           f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
237           echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
238           rm -f "$(DESTDIR)$(bindir)/$$f"; \
239         done
240
241 clean-binPROGRAMS:
242         -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
243 bti$(EXEEXT): $(bti_OBJECTS) $(bti_DEPENDENCIES) 
244         @rm -f bti$(EXEEXT)
245         $(LINK) $(bti_OBJECTS) $(bti_LDADD) $(LIBS)
246
247 mostlyclean-compile:
248         -rm -f *.$(OBJEXT)
249
250 distclean-compile:
251         -rm -f *.tab.c
252
253 include ./$(DEPDIR)/bti.Po
254
255 .c.o:
256         $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
257         mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
258 #       source='$<' object='$@' libtool=no \
259 #       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
260 #       $(COMPILE) -c $<
261
262 .c.obj:
263         $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
264         mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
265 #       source='$<' object='$@' libtool=no \
266 #       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
267 #       $(COMPILE) -c `$(CYGPATH_W) '$<'`
268 install-man1: $(man1_MANS) $(man_MANS)
269         @$(NORMAL_INSTALL)
270         test -z "$(man1dir)" || $(MKDIR_P) "$(DESTDIR)$(man1dir)"
271         @list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
272         l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
273         for i in $$l2; do \
274           case "$$i" in \
275             *.1*) list="$$list $$i" ;; \
276           esac; \
277         done; \
278         for i in $$list; do \
279           if test -f $$i; then file=$$i; \
280           else file=$(srcdir)/$$i; fi; \
281           ext=`echo $$i | sed -e 's/^.*\\.//'`; \
282           case "$$ext" in \
283             1*) ;; \
284             *) ext='1' ;; \
285           esac; \
286           inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
287           inst=`echo $$inst | sed -e 's/^.*\///'`; \
288           inst=`echo $$inst | sed '$(transform)'`.$$ext; \
289           echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
290           $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst"; \
291         done
292 uninstall-man1:
293         @$(NORMAL_UNINSTALL)
294         @list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
295         l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
296         for i in $$l2; do \
297           case "$$i" in \
298             *.1*) list="$$list $$i" ;; \
299           esac; \
300         done; \
301         for i in $$list; do \
302           ext=`echo $$i | sed -e 's/^.*\\.//'`; \
303           case "$$ext" in \
304             1*) ;; \
305             *) ext='1' ;; \
306           esac; \
307           inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
308           inst=`echo $$inst | sed -e 's/^.*\///'`; \
309           inst=`echo $$inst | sed '$(transform)'`.$$ext; \
310           echo " rm -f '$(DESTDIR)$(man1dir)/$$inst'"; \
311           rm -f "$(DESTDIR)$(man1dir)/$$inst"; \
312         done
313
314 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
315         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
316         unique=`for i in $$list; do \
317             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
318           done | \
319           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
320               END { if (nonempty) { for (i in files) print i; }; }'`; \
321         mkid -fID $$unique
322 tags: TAGS
323
324 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
325                 $(TAGS_FILES) $(LISP)
326         tags=; \
327         here=`pwd`; \
328         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
329         unique=`for i in $$list; do \
330             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
331           done | \
332           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
333               END { if (nonempty) { for (i in files) print i; }; }'`; \
334         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
335           test -n "$$unique" || unique=$$empty_fix; \
336           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
337             $$tags $$unique; \
338         fi
339 ctags: CTAGS
340 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
341                 $(TAGS_FILES) $(LISP)
342         tags=; \
343         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
344         unique=`for i in $$list; do \
345             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
346           done | \
347           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
348               END { if (nonempty) { for (i in files) print i; }; }'`; \
349         test -z "$(CTAGS_ARGS)$$tags$$unique" \
350           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
351              $$tags $$unique
352
353 GTAGS:
354         here=`$(am__cd) $(top_builddir) && pwd` \
355           && cd $(top_srcdir) \
356           && gtags -i $(GTAGS_ARGS) $$here
357
358 distclean-tags:
359         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
360
361 distdir: $(DISTFILES)
362         $(am__remove_distdir)
363         test -d $(distdir) || mkdir $(distdir)
364         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
365         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
366         list='$(DISTFILES)'; \
367           dist_files=`for file in $$list; do echo $$file; done | \
368           sed -e "s|^$$srcdirstrip/||;t" \
369               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
370         case $$dist_files in \
371           */*) $(MKDIR_P) `echo "$$dist_files" | \
372                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
373                            sort -u` ;; \
374         esac; \
375         for file in $$dist_files; do \
376           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
377           if test -d $$d/$$file; then \
378             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
379             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
380               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
381             fi; \
382             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
383           else \
384             test -f $(distdir)/$$file \
385             || cp -p $$d/$$file $(distdir)/$$file \
386             || exit 1; \
387           fi; \
388         done
389         -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
390           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
391           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
392           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
393         || chmod -R a+r $(distdir)
394 dist-gzip: distdir
395         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
396         $(am__remove_distdir)
397
398 dist-bzip2: distdir
399         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
400         $(am__remove_distdir)
401
402 dist-lzma: distdir
403         tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
404         $(am__remove_distdir)
405
406 dist-tarZ: distdir
407         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
408         $(am__remove_distdir)
409
410 dist-shar: distdir
411         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
412         $(am__remove_distdir)
413
414 dist-zip: distdir
415         -rm -f $(distdir).zip
416         zip -rq $(distdir).zip $(distdir)
417         $(am__remove_distdir)
418
419 dist dist-all: distdir
420         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
421         $(am__remove_distdir)
422
423 # This target untars the dist file and tries a VPATH configuration.  Then
424 # it guarantees that the distribution is self-contained by making another
425 # tarfile.
426 distcheck: dist
427         case '$(DIST_ARCHIVES)' in \
428         *.tar.gz*) \
429           GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
430         *.tar.bz2*) \
431           bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
432         *.tar.lzma*) \
433           unlzma -c $(distdir).tar.lzma | $(am__untar) ;;\
434         *.tar.Z*) \
435           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
436         *.shar.gz*) \
437           GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
438         *.zip*) \
439           unzip $(distdir).zip ;;\
440         esac
441         chmod -R a-w $(distdir); chmod a+w $(distdir)
442         mkdir $(distdir)/_build
443         mkdir $(distdir)/_inst
444         chmod a-w $(distdir)
445         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
446           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
447           && cd $(distdir)/_build \
448           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
449             $(DISTCHECK_CONFIGURE_FLAGS) \
450           && $(MAKE) $(AM_MAKEFLAGS) \
451           && $(MAKE) $(AM_MAKEFLAGS) dvi \
452           && $(MAKE) $(AM_MAKEFLAGS) check \
453           && $(MAKE) $(AM_MAKEFLAGS) install \
454           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
455           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
456           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
457                 distuninstallcheck \
458           && chmod -R a-w "$$dc_install_base" \
459           && ({ \
460                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
461                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
462                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
463                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
464                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
465               } || { rm -rf "$$dc_destdir"; exit 1; }) \
466           && rm -rf "$$dc_destdir" \
467           && $(MAKE) $(AM_MAKEFLAGS) dist \
468           && rm -rf $(DIST_ARCHIVES) \
469           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
470         $(am__remove_distdir)
471         @(echo "$(distdir) archives ready for distribution: "; \
472           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
473           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
474 distuninstallcheck:
475         @cd $(distuninstallcheck_dir) \
476         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
477            || { echo "ERROR: files left after uninstall:" ; \
478                 if test -n "$(DESTDIR)"; then \
479                   echo "  (check DESTDIR support)"; \
480                 fi ; \
481                 $(distuninstallcheck_listfiles) ; \
482                 exit 1; } >&2
483 distcleancheck: distclean
484         @if test '$(srcdir)' = . ; then \
485           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
486           exit 1 ; \
487         fi
488         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
489           || { echo "ERROR: files left in build directory after distclean:" ; \
490                $(distcleancheck_listfiles) ; \
491                exit 1; } >&2
492 check-am: all-am
493 check: check-am
494 all-am: Makefile $(PROGRAMS) $(MANS)
495 installdirs:
496         for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"; do \
497           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
498         done
499 install: install-am
500 install-exec: install-exec-am
501 install-data: install-data-am
502 uninstall: uninstall-am
503
504 install-am: all-am
505         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
506
507 installcheck: installcheck-am
508 install-strip:
509         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
510           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
511           `test -z '$(STRIP)' || \
512             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
513 mostlyclean-generic:
514
515 clean-generic:
516
517 distclean-generic:
518         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
519
520 maintainer-clean-generic:
521         @echo "This command is intended for maintainers to use"
522         @echo "it deletes files that may require special tools to rebuild."
523         -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
524 clean: clean-am
525
526 clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
527
528 distclean: distclean-am
529         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
530         -rm -rf ./$(DEPDIR)
531         -rm -f Makefile
532 distclean-am: clean-am distclean-compile distclean-generic \
533         distclean-local distclean-tags
534
535 dvi: dvi-am
536
537 dvi-am:
538
539 html: html-am
540
541 info: info-am
542
543 info-am:
544
545 install-data-am: install-man
546
547 install-dvi: install-dvi-am
548
549 install-exec-am: install-binPROGRAMS
550
551 install-html: install-html-am
552
553 install-info: install-info-am
554
555 install-man: install-man1
556
557 install-pdf: install-pdf-am
558
559 install-ps: install-ps-am
560
561 installcheck-am:
562
563 maintainer-clean: maintainer-clean-am
564         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
565         -rm -rf $(top_srcdir)/autom4te.cache
566         -rm -rf ./$(DEPDIR)
567         -rm -f Makefile
568 maintainer-clean-am: distclean-am maintainer-clean-generic
569
570 mostlyclean: mostlyclean-am
571
572 mostlyclean-am: mostlyclean-compile mostlyclean-generic
573
574 pdf: pdf-am
575
576 pdf-am:
577
578 ps: ps-am
579
580 ps-am:
581
582 uninstall-am: uninstall-binPROGRAMS uninstall-man
583
584 uninstall-man: uninstall-man1
585
586 .MAKE: install-am install-strip
587
588 .PHONY: CTAGS GTAGS all all-am am--refresh check check-am clean \
589         clean-binPROGRAMS clean-generic ctags dist dist-all dist-bzip2 \
590         dist-gzip dist-lzma dist-shar dist-tarZ dist-zip distcheck \
591         distclean distclean-compile distclean-generic distclean-local \
592         distclean-tags distcleancheck distdir distuninstallcheck dvi \
593         dvi-am html html-am info info-am install install-am \
594         install-binPROGRAMS install-data install-data-am install-dvi \
595         install-dvi-am install-exec install-exec-am install-html \
596         install-html-am install-info install-info-am install-man \
597         install-man1 install-pdf install-pdf-am install-ps \
598         install-ps-am install-strip installcheck installcheck-am \
599         installdirs maintainer-clean maintainer-clean-generic \
600         mostlyclean mostlyclean-compile mostlyclean-generic pdf pdf-am \
601         ps ps-am tags uninstall uninstall-am uninstall-binPROGRAMS \
602         uninstall-man uninstall-man1
603
604         bti-shrink-urls
605
606 %.1: %.xml
607         $(XSLTPROC) -nonet http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl $<
608
609 git-clean:
610         rm -f Makefile.in
611
612 distclean-local:
613         rm -rf autom4te.cache
614
615 changelog:
616         @ head -1 ChangeLog | grep -q "to v$(PREVIOUS_VERSION)"
617         @ mv ChangeLog ChangeLog.tmp
618         @ echo "Summary of changes from v$(PREVIOUS_VERSION) to v$(VERSION)" >> ChangeLog
619         @ echo "============================================" >> ChangeLog
620         @ echo >> ChangeLog
621         @ git log --pretty=short $(PREVIOUS_VERSION)..HEAD | git shortlog  >> ChangeLog
622         @ echo >> ChangeLog
623         @ cat ChangeLog
624         @ cat ChangeLog.tmp >> ChangeLog
625         @ rm ChangeLog.tmp
626
627 git-release:
628         head -1 ChangeLog | grep -q "to v$(VERSION)"
629         head -1 NEWS | grep -q "udev $(VERSION)"
630         git commit -a -m "release $(VERSION)"
631         cat .git/refs/heads/master > .git/refs/tags/$(VERSION)
632         git gc
633         git prune
634 # Tell versions [3.59,3.63) of GNU make to not export all variables.
635 # Otherwise a system limit (for SysV at least) may be exceeded.
636 .NOEXPORT: